Bug 284829 - Typing a URL with uppercase don't always works
Summary: Typing a URL with uppercase don't always works
Status: RESOLVED FIXED
Alias: None
Product: rekonq
Classification: Unclassified
Component: general (show other bugs)
Version: 0.7.92
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Andrea Diamantini
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-23 22:33 UTC by DanaKil
Modified: 2012-04-26 23:37 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description DanaKil 2011-10-23 22:33:49 UTC
Version:           0.7.92 (using KDE 4.7.2) 
OS:                Linux

Typing some url with uppercase won't always works. It launches the default search engine (google in my case). They always works in Firefox or Chrome (linux).

works:
pageperso.free.fr
pageperso.free.Fr
pageperso.Free.fr

don't works :
PAGEPERSO.FREE.FR
pageperso.Free.Fr

interestingly, it always works for dot.kde.org (DOT.KDE.ORG, etc.).


Reproducible: Always

Steps to Reproduce:
Type the previous examples (PAGEPERSO.FREE.FR, ...) in the address bar.

Actual Results:  
The input seems to not be recognized as a valid URL.

Expected Results:  
The website should be found (as in Firefox or Chrome).
Comment 1 Andrea Diamantini 2012-04-16 15:43:34 UTC
Git commit e74a926619924a5d49f462e6707462db2c545f35 by Andrea Diamantini.
Committed on 16/04/2012 at 17:49.
Pushed by adjam into branch 'master'.

Let rekonq work everytime with uppercase digited urls

M  +3    -2    src/urlbar/urlresolver.cpp

http://commits.kde.org/rekonq/e74a926619924a5d49f462e6707462db2c545f35
Comment 2 Andrea Diamantini 2012-04-16 15:44:24 UTC
Git commit 95ae6a876b414f20b3aca64c6b5bce3e372b2199 by Andrea Diamantini.
Committed on 16/04/2012 at 17:49.
Pushed by adjam into branch 'Branches.0.9'.

Let rekonq work everytime with uppercase digited urls

Backported from master branch

M  +3    -2    src/urlbar/urlresolver.cpp

http://commits.kde.org/rekonq/95ae6a876b414f20b3aca64c6b5bce3e372b2199
Comment 3 Andrea Diamantini 2012-04-24 15:16:51 UTC
Git commit 4c0ad2049f3b49590a7d19f89ebcb767c3c15283 by Andrea Diamantini.
Committed on 24/04/2012 at 16:47.
Pushed by adjam into branch 'master'.

Clean up url management

- Let ftp url(s) work again
- Do NOT check url twice via KUriFilter (removed MainWindow::filterUrl)
- ensure we are lowering just http url hosts
- mailto via urlbar handling
Related: bug 298114

M  +4    -37   src/mainwindow.cpp
M  +0    -7    src/mainwindow.h
M  +9    -1    src/protocolhandler.cpp
M  +7    -6    src/urlbar/urlresolver.cpp
M  +4    -0    src/webpage.cpp

http://commits.kde.org/rekonq/4c0ad2049f3b49590a7d19f89ebcb767c3c15283
Comment 4 Andrea Diamantini 2012-04-26 23:37:33 UTC
Git commit 6a9e1ed2d94202eb1c7b334b1020abad64d8226f by Andrea Diamantini.
Committed on 24/04/2012 at 16:47.
Pushed by adjam into branch 'Branches.0.9'.

Clean up url management

- Let ftp url(s) work again
- Do NOT check url twice via KUriFilter (removed MainWindow::filterUrl)
- ensure we are lowering just http url hosts
- mailto via urlbar handling
Related: bug 298114

Conflicts:

	src/mainwindow.cpp

Backporting from master with the needed fixes

M  +1    -0    src/mainwindow.cpp
M  +9    -1    src/protocolhandler.cpp
M  +7    -6    src/urlbar/urlresolver.cpp
M  +4    -0    src/webpage.cpp

http://commits.kde.org/rekonq/6a9e1ed2d94202eb1c7b334b1020abad64d8226f